Page MenuHomePhabricator

{{Infobox writer}} shown on the right on glk.wikipedia
Closed, ResolvedPublic

Description

hello.
dear users infoboxes in gilaki wikipedia are shownig in right hand in after saving them and they should be shows in left hand in after saving please help to fix this problem.
please see this page: https://glk.wikipedia.org/wiki/%D9%87%D8%A7%D9%86%D8%B3_%DA%A9%D8%B1%D9%8A%D8%B3%D8%AA%D9%8A%D9%9A%D9%86_%D8%A3%D9%86%D8%AF%D8%B1%D8%B3%D8%A4%D9%86

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2016, 4:16 AM
Mogoeilor updated the task description. (Show Details)Sep 12 2016, 4:17 AM
Sjoerddebruin removed 915290137 as the assignee of this task.Sep 12 2016, 7:46 AM

Please include more information about this (probably local) problem, even the link doesn't work.

Hi @Mogoeilor, thanks for taking the time to report this!
Unfortunately this report lacks some information. If you have time and can still reproduce the problem, please add a more complete description to this report. Ideally, exact and clear steps to reproduce should allow any other person to follow these steps (without having to interpret those steps) and see the same results. Problems that others can reliably reproduce can get fixed faster. Thanks!

Aklapper changed the task status from Open to Stalled.Sep 12 2016, 11:00 AM

@Mogoeilor: https://glk.wikipedia.org/wiki/مدياويکي:Common.js has several problems and that is likely related.

If you go to https://glk.wikipedia.org/wiki/هانس_کريستيٚن_أندرسؤن?debug=true (note the additional ?debug=true) and open the developer tools of your web browser (see Firefox ≥24, Internet Explorer, Google Chrome, Apple Safari, Opera for more information), you will see this error:

JavaScript parse error: Parse error: Missing ) in parenthetical in file 'MediaWiki:Common.js'

The file has two more ( than it has ).

There are also incorrect comparsions (like "wgNamespaceNumber == 0") and other problems.

Please fix these errors first and then report back here.

@Mogoeilor: For future reference, please follow https://www.mediawiki.org/wiki/How_to_report_a_bug by describing steps to reproduce, the current results, and the expected results separately. Thanks!

I will follow you.
so thanks.
best wishes

hello.
that error was not fixed. please help.
best wishes.

@Mogoeilor: Please contact Gilaki Wikipedia users who can edit https://glk.wikipedia.org/wiki/مدياويکي:Common.js as the errors that I pointed out still exist.
https://glk.wikipedia.org/wiki/مدياويکي:Common.js&action=history shows users who have edited that file in the past. This needs to be fixed on-wiki first.
After fixing Common.js we can see if the infobox problem still happens.

so thanks
they do that edites you say but that problem is exists.

they do that edites you say but that problem is exists.

No, they did not do any edits.
See https://glk.wikipedia.org/w/index.php?title=%D9%85%D8%AF%D9%8A%D8%A7%D9%88%D9%8A%DA%A9%D9%8A:Common.js&action=history
Page says last edit on September 11. That last edit did not fix any problems with brackets.

Aklapper renamed this task from gilaki wikipedia infobox show to {{Infobox writer}} shown on the right on glk.wikipedia.Sep 18 2016, 6:45 PM
Aklapper changed the task status from Stalled to Open.
Aklapper triaged this task as Low priority.
Aklapper updated the task description. (Show Details)
Restricted Application added a project: I18n. · View Herald TranscriptSep 18 2016, 6:45 PM

hello.
so thanks for your help.

I wonder why and how https://fa.wikipedia.org/wiki/هانس_کریستیان_آندرسن works. Have you checked whether the Farsi solution/implementation could be applied to https://glk.wikipedia.org/wiki/هانس_کريستيٚن_أندرسؤن ?

MuhammadShuaib closed this task as Resolved.Sep 21 2016, 2:52 AM